wordpress 3.9 and repeatable tinymce editor problem solved.

If you are trying to add repeatable tiny mce in your metabox then here is solution http://www.kathyisawesome.com/426/multiple-wordpress-wysiwyg-visual-editors/.

You have to use Wpalchemy class.

Now the second part is that It will not work with wordpress 3.9(next stable version going to release in April).

Why?

Because they use new version of tinymce 4.x.

Don’t bother we have solution 🙂

Here is plugin http://wp-lovers.com/wpquestions/testplugin-new.zip

This test plugin have both javascript and it work in old and new versions of wordpress.
It may contain some unnecessary code you have to remove it :p

Now I afraid that this change in WordPress editor is going to break many plugins which use buttons to add shortcodes!!